import socket
import json

def get_move(data):
    """
    Pick a move to play - in the dumbest way possible
    Sometimes picks illegal moves ;)
    """
    game = data['game']
    hand = data['hand']
    phase = game['phase']
    

    if phase == 'ChoosingTrumpSuit':
        return { 'ChooseTrump' : 'Spades' } #choose spades as the trump suit
    elif phase == 'Bidding':
        return { 'Bid' : 1 } #bid to take one trick
    elif phase == 'InTrick':
        # TODO: pick a card
        return { 'PlayCard': {'Index': 0} } #play the first card from your hand
    elif phase.endswith('End'):   
        return 'Acknowledge'
        

sock = socket.create_connection(('v2202405224223270702.bestsrv.de', 27916)).makefile('rw')

while True:
    msg = sock.readline()
    try:
        data = json.loads(msg)
        
        if isinstance(data,str):
            print("Remote error: {}".format(data))
            break

        game = data["game"]
        print(f"Player {game['turn_player']}: {game['phase']}")

        if game["phase"] in ["GameEnd", "RoundEnd"]:
            print("Score:", game["points"])
        
        # check if my turn:
        if data['id'] == data['game']['turn_player']:
            move = get_move(data)
            out_msg = json.dumps(move) + "\n"
            print("Sending: {}".format(out_msg))
            sock.write(out_msg)
            sock.flush()
            
    except Exception as e:
        print("Fail!: {}".format(e))
        break
        

